Bug 19172 - 'best-fit' isn't
Summary: 'best-fit' isn't
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-16 12:40 UTC by Tim Waugh
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-12 12:29:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-10-16 12:40:54 UTC
I currently have sawfish set to 'best-fit' placement, but it keeps sending
new windows to the top right-hand corner, regardless of whether or not
there's already a window there. :-(

Comment 1 Tim Waugh 2000-10-16 14:40:45 UTC
It seemed to be more of a case of one window being 'invisible' as far as the
placement algorithm went.  When I closed that one (gnome-terminal) window, it
worked fine with new gnome-terminal windows.

Sorry, don't know how to reproduce it.

Comment 2 Havoc Pennington 2000-10-16 14:52:50 UTC
Hmm, will forward to John Harper and see if he has thoughts.

Comment 3 Tim Waugh 2000-10-17 15:43:29 UTC
Okay, here's how to reproduce it.

Start a gnome-terminal.  It appears at the top right hand corner. (I'm using
best-fit placement and _not_ remembering window attributes.)

Move it slightly, dropping it back at the top right hand corner.  Start another
gnome-terminal.  The new window now covers the old one.


Comment 4 Tim Waugh 2001-03-21 23:30:22 UTC
The ChangeLog for 0.38 sounds promising:

[...]
        - Corrected off-by-one error in `smart' placement modes
[...]

Haven't tried it though.


Comment 5 Mike A. Harris 2001-04-12 12:24:18 UTC
Sounds semi-similar to my window placement problem in bug #21732

Comment 6 Mike A. Harris 2001-04-12 12:26:36 UTC
Also sounds similar to bug #15438

Comment 7 Havoc Pennington 2001-07-12 19:40:19 UTC
Upstream at http://bugzilla.eazel.com/show_bug.cgi?id=8413

Closing on RH level.


Note You need to log in before you can comment on or make changes to this bug.